Skip to main content
GET
/
v1
/
crm
/
chargebacks
/
{chargebackId}
Get a Chargeback
curl --request GET \
  --url https://api.example.com/v1/crm/chargebacks/{chargebackId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "transactionReferenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "caseNumber": "<string>",
  "reasonCode": "<string>",
  "reasonDesc": "<string>",
  "visaRDRIndicator": true,
  "itemType": "<string>",
  "caseType": "<string>",
  "reversal": true,
  "acquirerReferenceNumber": "<string>",
  "caseAmount": 123,
  "merchAmount": 123,
  "transactionAmount": 123,
  "dateTransaction": "<string>",
  "datePosted": "<string>",
  "dateLoaded": "<string>",
  "dateResolved": "<string>",
  "lastActionDate": "<string>",
  "dateDisputeAccepted": "<string>",
  "bankMessage": "<string>",
  "merchantMessage": "<string>",
  "glMessage": "<string>",
  "cardLast4": "<string>",
  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clientPath": "<string>",
  "createdAt": "<string>",
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updatedAt": "<string>",
  "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

chargebackId
string
required

Response

The chargeback record corresponding to the primary identifier.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
transactionReferenceId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
caseNumber
string | null
required
reasonCode
string | null
required
reasonDesc
string | null
required
visaRDRIndicator
boolean | null
required
itemType
string | null
required
caseType
string | null
required
resolutionTo
enum<string> | null
required
Available options:
bank,
merchant,
general_ledger,
split,
closed
reversal
boolean | null
required
acquirerReferenceNumber
string | null
required
caseAmount
number | null
required
merchAmount
number | null
required
transactionAmount
number | null
required
dateTransaction
string | null
required
datePosted
string | null
required
dateLoaded
string | null
required
dateResolved
string | null
required
lastActionDate
string | null
required
dateDisputeAccepted
string | null
required
bankMessage
string | null
required
merchantMessage
string | null
required
glMessage
string | null
required
cardBrand
enum<string> | null
required
Available options:
visa,
mastercard,
discover,
amex,
jcb,
diners_club,
ebt,
private_label,
paypal,
other,
unknown
cardLast4
string | null
required
Maximum string length: 4
clientId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
clientPath
string
required
createdAt
string
required
createdBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
updatedAt
string
required
updatedBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$